RanglerDeveloper
API referenceEndpointsCompanies
GET
/v1/companies

Authorization

RanglerApiKey
X-API-Key<token>

In: header

Query Parameters

q?|

Search by ticker or name

sector?string|null
index?|

Filter by index membership

exchange?|

Filter by primary exchange (e.g., NGX, NASD)

limit?Limit
Default50
Range1 <= value <= 200
country_code?|

Filter by ISO 3166-1 alpha-2 market country code

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.rangler.co/v1/companies"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "ticker": "string",
      "isin": "string",
      "sector": "string",
      "is_public": true,
      "exchange": "string",
      "country_code": "NG",
      "index_memberships": [
        "string"
      ],
      "ir_url": "string",
      "website": "string",
      "logo_url": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}
{
  "error": {
    "type": "unauthorized",
    "code": "unauthorized",
    "message": "Authentication required.",
    "request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
  }
}
{
  "error": {
    "type": "forbidden",
    "code": "forbidden",
    "message": "Paid access is required.",
    "request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_error",
    "message": "Request validation failed",
    "request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
    "details": [
      {
        "type": "missing",
        "loc": [
          "query",
          "ticker"
        ],
        "msg": "Field required",
        "input": null
      }
    ]
  }
}
{
  "error": {
    "type": "rate_limit_exceeded",
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded",
    "request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
  }
}
{
  "error": {
    "type": "internal_server_error",
    "code": "internal_server_error",
    "message": "Internal Server Error",
    "request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
  }
}